CoCoALib - Feature #1347

New function: ctor of PPVector with vector<RingElem>
21 Oct 2019 18:49 - Anna Maria Bigatti

Status: Closed Start date: 21 Oct 2019
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: Improving Estimated time: 1.51 hour
Target version: CoCoALib-0.99650 November 2019 Spent time: 1.50 hour
Description

While updating the code for monomial ideals using the new range-based for loop | realized how many times | need to initialize a
PPVector from a vector<RingElem>.

Add a constructor.

Related issues:

Related to CoCoALib - Feature #580: Example for PPVector: ex-PPVector Closed 02 Jul 2014
Related to CoCoALib - Design #1414: Make class RingElemVector? In Progress 12 Feb 2020
History

#1 - 21 Oct 2019 18:50 - Anna Maria Bigatti
- Status changed from New to Feedback

- % Done changed from 0 to 90

Done, tested, cvs-ed.
To do: documentation.

#2 - 21 Oct 2019 18:51 - Anna Maria Bigatti
- Related to Feature #580: Example for PPVector: ex-PPVector added

#3 - 29 Oct 2019 19:44 - Anna Maria Bigatti
- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 1.51 h

Documented (and modernized its doc file)

#4 - 12 Feb 2020 14:50 - Anna Maria Bigatti
- Related to Design #1414: Make class RingElemVector? added
